# org.pdfclown.tokens.Keyword Class Reference

PDF keywords. More...

List of all members.

## Public Attributes
const string | BeginIndirectObject = "obj"
| PDF indirect object begin.
const string | BeginStream = "stream"
| PDF stream data begin.
const string | BOF = "%PDF-"
| PDF file begin.
const string | DatePrefix = "D:"
| PDF date marker.
const string | EndIndirectObject = "endobj"
| PDF indirect object end.
const string | EndStream = "endstream"
| PDF stream data end.
const string | EOF = "%%EOF"
| PDF file end.
const string | False = "false"
| PDF boolean false.
const string | FreeXrefEntry = "f"
| PDF free xref entry marker.
const string | InUseXrefEntry = "n"
| PDF in-use xref entry marker.
const string | Null = "null"
| PDF null object.
const string | StartXRef = "startxref"
| PDF xref start offset.
const string | Trailer = "trailer"
| PDF trailer begin.
const string | True = "true"
| PDF boolean true.
const string | XRef = "xref"
| PDF xref begin.
## Static Public Attributes
static readonly string | BeginArray = Symbol.OpenSquareBracket.ToString()
| PDF array opening delimiter.
static readonly string | BeginComment = Symbol.Percent.ToString()
| PDF comment opening delimiter.
static readonly string | BeginDictionary = Symbol.OpenAngleBracket.ToString() + Symbol.OpenAngleBracket.ToString()
| PDF dictionary opening delimiter.
static readonly string | BeginLiteralString = Symbol.OpenRoundBracket.ToString()
| PDF literal string opening delimiter.
static readonly string | EndArray = Symbol.CloseSquareBracket.ToString()
| PDF array closing delimiter.
static readonly string | EndDictionary = Symbol.CloseAngleBracket.ToString() + Symbol.CloseAngleBracket.ToString()
| PDF dictionary closing delimiter.
static readonly string | EndLiteralString = Symbol.CloseRoundBracket.ToString()
| PDF literal string closing delimiter.
static readonly string | NamePrefix = Symbol.Slash.ToString()
| PDF name marker.
static readonly string | Reference = Symbol.CapitalR.ToString()
| PDF indirect reference marker.

##

PDF keywords.

## Member Data Documentation

readonly string org.pdfclown.tokens.Keyword.BeginArray = Symbol.OpenSquareBracket.ToString()`[static]`

PDF array opening delimiter.

readonly string org.pdfclown.tokens.Keyword.BeginComment = Symbol.Percent.ToString()`[static]`

PDF comment opening delimiter.

readonly string org.pdfclown.tokens.Keyword.BeginDictionary = Symbol.OpenAngleBracket.ToString() + Symbol.OpenAngleBracket.ToString()`[static]`

PDF dictionary opening delimiter.

const string org.pdfclown.tokens.Keyword.BeginIndirectObject = "obj"

PDF indirect object begin.

readonly string org.pdfclown.tokens.Keyword.BeginLiteralString = Symbol.OpenRoundBracket.ToString()`[static]`

PDF literal string opening delimiter.

const string org.pdfclown.tokens.Keyword.BeginStream = "stream"

PDF stream data begin.

const string org.pdfclown.tokens.Keyword.BOF = "%PDF-"

PDF file begin.

const string org.pdfclown.tokens.Keyword.DatePrefix = "D:"

PDF date marker.

readonly string org.pdfclown.tokens.Keyword.EndArray = Symbol.CloseSquareBracket.ToString()`[static]`

PDF array closing delimiter.

readonly string org.pdfclown.tokens.Keyword.EndDictionary = Symbol.CloseAngleBracket.ToString() + Symbol.CloseAngleBracket.ToString()`[static]`

PDF dictionary closing delimiter.

const string org.pdfclown.tokens.Keyword.EndIndirectObject = "endobj"

PDF indirect object end.

readonly string org.pdfclown.tokens.Keyword.EndLiteralString = Symbol.CloseRoundBracket.ToString()`[static]`

PDF literal string closing delimiter.

const string org.pdfclown.tokens.Keyword.EndStream = "endstream"

PDF stream data end.

const string org.pdfclown.tokens.Keyword.EOF = "%%EOF"

PDF file end.

const string org.pdfclown.tokens.Keyword.False = "false"

PDF boolean false.

const string org.pdfclown.tokens.Keyword.FreeXrefEntry = "f"

PDF free xref entry marker.

const string org.pdfclown.tokens.Keyword.InUseXrefEntry = "n"

PDF in-use xref entry marker.

readonly string org.pdfclown.tokens.Keyword.NamePrefix = Symbol.Slash.ToString()`[static]`

PDF name marker.

const string org.pdfclown.tokens.Keyword.Null = "null"

PDF null object.

readonly string org.pdfclown.tokens.Keyword.Reference = Symbol.CapitalR.ToString()`[static]`

PDF indirect reference marker.

const string org.pdfclown.tokens.Keyword.StartXRef = "startxref"

PDF xref start offset.

const string org.pdfclown.tokens.Keyword.Trailer = "trailer"

PDF trailer begin.

const string org.pdfclown.tokens.Keyword.True = "true"

PDF boolean true.

const string org.pdfclown.tokens.Keyword.XRef = "xref"

PDF xref begin.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.